Flashometer End-of-Life Announcement

Originally released in March 2012, the Flashometer app is incompatible with modern operating systems beginning with iOS 11 and greater. Flashometer will continue to function old older iOS devices for the foreseeable future, but the app will no longer be developed or supported.

Thank you for your love and support for a fun app that was innovative in it’s time. Looking for more vintage weather tech?  Try Atmospheric™ by Swackett®.

Leave a Reply

Your email address will not be published. Required fields are marked *